Name:          glassfish-pom
Version:       8
Release:       %mkrel 3
Summary:       GlassFish Master POM
Group:         Development/Java
License:       CDDL, GPL
Url:           http://glassfish.java.net/
# svn export https://svn.java.net/svn/glassfish~svn/tags/master-pom-8/ glassfish-pom-8
# tar czf glassfish-pom-8-src-svn.tar.gz glassfish-pom-8
Source0:       glassfish-pom-8-src-svn.tar.gz
Patch0:        glassfish-pom-8-no_wagon-webdav.patch
BuildRequires: jpackage-utils
Requires:      maven-compiler-plugin
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
GlassFish Master POM.

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%prep
%setup -q -n glassfish-pom-%{version}
%patch0 -p0

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 8-3.mga4
+ Revision: 504896
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 8-2.mga3
+ Revision: 351758
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 dmorgan <dmorgan> 8-1.mga3
+ Revision: 262129
- imported package glassfish-pom

